Ubuntu Forums ubuntu.com - launchpad.net - ubuntu help  

Go Back   Ubuntu Forums > The Ubuntu Forum Community > Other Community Discussions > Tutorials & Tips
Register Reset Password Forum Help Forum Council Search Today's Posts Mark Forums Read

Tutorials & Tips
The place to find Ubuntu related Tips & Tricks.

View Poll Results: How useful is this?
very useful 2 100.00%
not useful 0 0%
neither nor 0 0%
Voters: 2. You may not vote on this poll

 
Thread Tools Display Modes
Old July 4th, 2009   #1
loomsen
100% Pure Ubuntu
 
loomsen's Avatar
 
Join Date: Aug 2008
Location: germany
Beans: 857
HOWTO: FREE filehosting with ompload

Hello everyone.

With this little writeup I will introduce those of you who didn't stumble upon ompload yet to this nice, free (free of everything!) filehoster.

It's free, unmoderated, accountless and basically accessible from everywhere throughout your OS.

What is ompload?
Quote:
Omploader is a place to put your files, without all the browser clogging junk that you find at most sites.


Why would I want it / need it?

Quote:
Omploader is anonymous and free for EVERYONE to use.
So no privileges for subscriptors and thus no ads at all -
in fact, it's not even moderated at all, you _cannot_ register an account neither.
Just get uploader script and you're ready to go.
PLUS: You may upload WHATEVER you want up to a filesize of stunning !_1 GB_!

Here's some sample output of the basic CLI (=command line interface, editor's note for the newer users)

Quote:
docter[~] ompload tmp.text
Progress for 'tmp.text'
################################################## ###################### 100.0%
Omploaded 'tmp.text' to http://omploader.org/vMXgzZQ
Success.
docter[~]
That's it, that's all!


STEP 1. Prepare
NOTE: I will show how to install the basic command line uploader to ~/bin/ompload. In order to use it, please ensure that ~/bin is in your $PATH environment.
If you want to have it systemwide ( - THIS IS: if you have multiple user accounts for example - )
you will probably want to choose another install directory instead -
/usr/local/bin/ - should be the choice in this case


To check environment ( <== Only if you want to go with ~/bin )
Code:
echo $PATH | grep $(whoami)
You should see something similar to this:



STEP 2

Get the script, make it executable and place it somewhere inside a $PATH directory
Code:
wget http://omploader.org/ompload && chmod +x ompload

## == Now either install to ~/bin !_NOT_! using sudo == ##
install ompload ~/bin/ompload
## == OR == For systemwide support == ##
sudo install ompload /usr/local/bin


STEP 3
Enjoy




To get you going, here are a script to integrate ompload with gnome / nautilis. You'll need to have zenity installed, so run
Code:
sudo aptitude install zenity ruby curl
Here's the right-click-context script. You may either chose one or more files to upload at once.
Save this Script under
Code:
~/.gnome2/nautilus-scripts/Upload2Ompload
and make it executable with
Code:
chmod +x ~/.gnome2/nautilus-scripts/Upload2Ompload
to integrate with nautilus.


## ======= CURRENT: ======= ##
## ===================== ##

Code:
#!/bin/bash
set +x
## generate a basuc desription:
#==AUTHOR
# written by: Norbert Varzariu <loomsen@googlemail.com>	
#==START
# Basic and simple file uploader, can upload multiple files
# uses zenity to Output the resulting downloadlink
# 
# copy/place/install to "$HOME/.gnome2/nautilus-scripts" 
# to integrate with nautilus' context
# requires ompload to be installed. You can accomplish this by doing
# 
#     wget http://omploader.org/ompload -O ~/bin/ompload
#     chmod +x ~/bin/ompload 
#
#==END

## Constants:
	PROGNAME=$(basename $0)
	VERSION="0.0.2"
## Check for needed pkges
	__DEPS="ruby curl zenity"

	for i in $__DEPS; do 
		[[ "`which $i`" != "" ]] && continue || { echo -e "$i not found, please install" && exit 1;}
	done
## Check for ompload itself
	_uploader=$(which ompload 2>/dev/null)
		[[ $_uploader ]] && continue || { zenity --error --text="$0: ompload not found, please download and install first.";exit 1;}

## DoIt
	zenity  --info --text="`$_uploader $@`"  100 125
	unset _uploader __DEPS
	exit $?

## == OBSOLETE: == ##
Code:
#!/bin/sh
#PROGNAME=$(basename $0)
#VERSION="0.0.1"
##_uploader=$(which ompload)
##_output=$($_uploader "$@")
##zenity --info --text="$(echo $_output)" 50 75 
##unset _uploader _output
##exit $?

Rightklick on any file will give you

and then this:



Another Goodie:
Desktop icon to drag and drop any file onto it:
*edit*
To make the desktop icon work you'll have to place another copy of my script above in ~/bin (or, as explained above, somewhere else inside your path)


Code:
#!/usr/bin/env xdg-open

[Desktop Entry]
Encoding=UTF-8
Version=1.0
Type=Application
Name=omp
Exec=Upload2Ompload
Icon=/usr/share/pixmaps/gnome-ftp.png
Save it as omp.desktop and place it on your desktop. rightklick the icon and choose stretch icon to increase accessibility and enjoy

Simply drag and drop whatever you want to upload onto your icon and you'll get a information window with your downloadlink in no time



Allright, that's it. Not many explanations, not much to do wrong, just good, clean and fast fun.

NOTE: I think I should mention again that there are NO accounts on ompload, so if you're looking for _safe_ online storage, this isn't quite what you're looking for probably.

HINT: However, if you save your downloadlinks all to a log file for instance, you're not only doing yourself a favor, but also decrease the server load, so this is probably something to consider.

Last edited by loomsen; January 28th, 2010 at 08:08 AM.. Reason: typo
loomsen is offline   Reply With Quote
Old July 7th, 2009   #2
jpeddicord
Super Ubuntu World
 
jpeddicord's Avatar
 
Join Date: Apr 2006
Location: Ohio, USA
Beans: 2,289
Ubuntu Development Release
Re: HOWTO: Using ompload

Approved, and thank you for your tutorials & tips contribution. To those that might have problems with this, I emphasize this bit from the original post:
Quote:
NOTE: I think I should mention again that there are NO accounts on ompload, so if you're looking for _safe_ online storage, this isn't quite what you're looking for probably.
__________________
Previously known as jacobmp92
Site ║ ⬢ Launchpadµ Identi.caµ Twitter ║ ⬌ Mound Data Manager
jpeddicord is online now   Reply With Quote
Old July 8th, 2009   #3
asilvan
First Cup of Ubuntu
 
Join Date: Jun 2009
Beans: 4
Re: HOWTO: Using ompload

I get the next error...
Code:
asilvan@eudyptes:~$ ompload myfile.test
/usr/bin/env: ruby: No existe el fichero ó directorio
so i install ruby
Code:
sudo apt-get install ruby
and then..
Code:
asilvan@eudyptes:~$ ompload myfile.test
Error: curl missing or not in path.  Cannot continue.

Usage:  ompload [-h|--help] [options] [file(s)]
  -q, --quiet     Only output errors and warnings
  -u, --url       Only output URL when finished
  -f, --filename  Filename to use when posting data
                  from stdin

  You can supply a list of files or data via stdin (or both)

  This script requires a copy of cURL in the path.
so, i install curl...

Code:
sudo apt-get install curl
and then....

IT WORKS!


I think you should add this 2 requeriments before the installation...


(my english sucks, sorry)
asilvan is offline   Reply With Quote
Old July 9th, 2009   #4
loomsen
100% Pure Ubuntu
 
loomsen's Avatar
 
Join Date: Aug 2008
Location: germany
Beans: 857
Re: HOWTO: Using ompload

Thanks, corrected above.
loomsen is offline   Reply With Quote
Old July 16th, 2009   #5
loomsen
100% Pure Ubuntu
 
loomsen's Avatar
 
Join Date: Aug 2008
Location: germany
Beans: 857
Re: HOWTO: Using ompload

Updated.
loomsen is offline   Reply With Quote
Old January 28th, 2010   #6
loomsen
100% Pure Ubuntu
 
loomsen's Avatar
 
Join Date: Aug 2008
Location: germany
Beans: 857
Re: HOWTO: Using ompload

Major Bugfixes.
loomsen is offline   Reply With Quote
Old 4 Weeks Ago   #7
droid8622
First Cup of Ubuntu
 
Join Date: May 2007
Beans: 6
Re: HOWTO: Using ompload

exactly what i need!!Thanx
droid8622 is offline   Reply With Quote
Old 3 Weeks Ago   #8
loomsen
100% Pure Ubuntu
 
loomsen's Avatar
 
Join Date: Aug 2008
Location: germany
Beans: 857
Re: HOWTO: Using ompload

Quote:
Originally Posted by droid8622 View Post
exactly what i need!!Thanx
Glad you like it
loomsen is offline   Reply With Quote

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 02:42 PM.


vBulletin ©2000 - 2010, Jelsoft Enterprises Ltd. Ubuntu Logo, Ubuntu and Canonical © Canonical Ltd. Tango Icons © Tango Desktop Project. bilberry